# PThreadPoolBase::WorkerThreadBase Class Reference

`#include <threadpool.h>`

Inheritance diagram for PThreadPoolBase::WorkerThreadBase:

List of all members.

## Public Member Functions

| WorkerThreadBase (Priority priority=NormalPriority)
virtual void | Shutdown ()=0
virtual unsigned | GetWorkSize () const =0

## Public Attributes

bool | m_shutdown
PMutex | m_workerMutex

## Constructor & Destructor Documentation

PThreadPoolBase::WorkerThreadBase::WorkerThreadBase | ( | Priority | priority = `NormalPriority` | ) | `[inline]`

## Member Function Documentation

virtual unsigned PThreadPoolBase::WorkerThreadBase::GetWorkSize | ( |  | ) | const`[pure virtual]`

virtual void PThreadPoolBase::WorkerThreadBase::Shutdown | ( |  | ) | `[pure virtual]`

## Member Data Documentation

bool PThreadPoolBase::WorkerThreadBase::m_shutdown

PMutex PThreadPoolBase::WorkerThreadBase::m_workerMutex

The documentation for this class was generated from the following file:

- threadpool.h